Subject: Re: cygwin ".inputrc" questions
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 15 Sep 2002 09:35:50 +0200

Hallo tmp,

Am Freitag, 13. September 2002 um 19:29 schriebst du:

> Hi, I'm new to cygwin, and I was reading the mailing list archives.  You 
> mentioned a ".inputrc" file and how to make it specify a command binding to a 
> specific keystroke.  Do you know what extra stuff is necessary to get that to 
> work?  Is it a shell thing (I use zsh, not bash) or does it work only if you 
> have some specific extra package installed?

I don't know if it works with zsh too.
Basically bash uses the readline library.
Docs are in man readline.
My .inputrc to get 'insert' and 'delete' keys working:

# This file is read by the 'readline' library
# (the library which bash uses for its command-
# line editing facility)

# Make Home work
"\e[7~": beginning-of-line
# Make End work
"\e[8~": end-of-line
# Make Delete work
"\e[3~": delete-char
# Make Insert work
"\e[2~": paste-from-clipboard

# Ignore case for the command-line-completion functionality.
# set completion-ignore-case On

set meta-flag On
set convert-meta Off
set output-meta On
set horizontal-scroll-mode On
Control-e: "cygstart .\C-M"

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/